Subject: RE: [eap] Issue 189: Handling of the identity response

From: John Vollbrecht <[email-masked]>
Date: Tue, 04 Nov 2003 13:39:09 -0500

--On Friday, October 31, 2003 2:50 PM -0800 Joseph Salowey 
<[email-masked]> wrote:

> >
> > The first case - where the method uses the Identity Response
> > data from the
> > previous request as an identity does not seem right.  In
> > thinking about it
> > I am not sure it actually happens in any implementations [as
> > opposed to
> > selecting the method instance based on the Response Data].
>
> [Joe] I was under the impression that EAP-OTP required the identity.
>
They do require and identity, but it is not clear it is the EAP identity 
response but the identity as processed by the NAS and (if necessary) 
inserted in the RADIUS identity attribute.  I think this is the same as MD5.

This is a bit fuzzy, and I seem to recall some conversation about this. 
However, I don't see how it would work if, for example, something like 
Broker/[email-masked] were used.  Certainly the user would not understand 
"Broker".

-- John

_______________________________________________
eap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/eap